Name:           kchmviewer
Version:        2.5
Release:        1%{?dist}
Summary:        CHM viewer

Group: 		Applications/Publishing
License:        GPL
URL:            http://www.kchmviewer.net/
Source0:        http://ovh.dl.sourceforge.net/kchmviewer/kchmviewer-%{version}.tar.gz
# fix the desktop file
Patch0:         kchmviewer-desktop.diff
Patch1:         kchmviewer-2.5-iconstorage.h.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel chmlib-devel 
BuildRequires:  desktop-file-utils kdelibs-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
The main advantage of KchmViewer is extended support for non-English 
languages. Unlike others, KchmViewer in most cases correctly detects chm 
file encoding, correctly shows tables of context of Russian, Korean, 
Chinese and Japanese help files, and correctly searches in non-English 
help files (search for MBCS languages - ja/ko/ch is still in progress). 

- Completely safe and harmless. Does not support JavaScript in any way, 
  optionally warns you before opening an external web page, or switching 
  to another help file. 
- Shows an appropriate image for every TOC entry. 
- Has complete chm index support, including multiple index entries, 
  cross-links and parent/child entries in index. 
- Persistent bookmarks support. Allows to store bookmarks even if 
  "Favorites" window was not enabled for this chm file. Also stores the 
  screen position for every bookmark. You can also edit/delete bookmarks. 
- For any opened chm file, stores the last opened window, search history, 
  bookmark history, font size and so on, so when you open this file again, 
  everything is always on the place. 
- Has easy and powerful search-in-page support. 
- Allows to increase or decrease the font size, so physically handicapped 
  people can read texts easily. 
- Has standard Back/Forward/Home navigation. 
- Can print the opened pages on a standard printer (usually via CUPS). 
- Has complex search query support. You can use search queries like "lazy 
  people" + learn -not.


%prep
%setup -q
%patch
%patch1 -p1
chmod -x kio-msits/msits.*


%build
%configure --disable-static --with-kde --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m755 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -m644 src/pics/cr48-app-kchmviewer.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/kchmviewer.png

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applnk/kchmviewer.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{_bindir}/kchmviewer
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_libdir}/kde3/kio_msits.so
%{_libdir}/kde3/kio_msits.la
%{_datadir}/services/msits.protocol
%{_datadir}/icons/crystalsvg/*/apps/kchmviewer.png

%changelog
* Thu May 18 2006 Patrice Dumas <pertusus@free.fr> 2.5-1
- update to 2.5
- patch from Jose Pedro Oliveira (jpo)

* Tue May 16 2006 Patrice Dumas <pertusus@free.fr> 2.0-4
- remove the old menu entry file from /usr/share/applnk/

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-3
- use update-desktop-database

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-2
- enable kde support

* Sun Mar 12 2006 Patrice Dumas <pertusus@free.fr> 2.0-1
- Fedora Extras submission
